Bug 40180 - Mod_dav and remove folder doesn't work with Microsoft windows
Summary: Mod_dav and remove folder doesn't work with Microsoft windows
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_dav (show other bugs)
Version: 2.2.2
Hardware: PC Linux
: P1 major (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL: http://www.tux-planet.fr/
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2006-08-03 15:48 UTC by Sebastien Bilbeau
Modified: 2018-11-07 21:09 UTC (History)
0 users



Attachments
My webdav server configuration (710 bytes, text/plain)
2006-08-04 13:07 UTC, Sebastien Bilbeau
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastien Bilbeau 2006-08-03 15:48:10 UTC
1/ compile apache 2.2.3 with following options :

./configure --prefix=/usr/local/httpd-2.2.3_80 \
            --enable-so \
            --enable-ssl --with-ssl \
            --enable-ldap --enable-authnz-ldap --with-ldap \
            --enable-mods-shared="rewrite speling vhost_alias status proxy
proxy-ajp proxy-balancer dav dav_fs"

2/ configure and launch the apache daemon with mod_dav
3/ create a folder
4/ remove this folder with windows XP or Windows 2000 client ==> it's impossible !

P.S : This bug does'nt exist with nautilus under Gnome environement ...
Comment 1 Ruediger Pluem 2006-08-03 20:04:29 UTC
That sounds like as it is one of the numerous flaws in Windows regarding WebDav.
The following pages can be helpful to find out:

http://greenbytes.de/tech/webdav/webfolder-client-list.html
http://greenbytes.de/tech/webdav/webdav-redirector-list.html
Comment 2 Sebastien Bilbeau 2006-08-04 13:06:26 UTC
For the windows XP client :

- mrxdav.sys  ==> version 5.1.2600.2180
- MSDAIPP.DLL ==> version 11.0.6715.15

I have no problem if i use an Apache 2.0.5x ...
Comment 3 Sebastien Bilbeau 2006-08-04 13:07:33 UTC
Created attachment 18678 [details]
My webdav server configuration
Comment 4 William A. Rowe Jr. 2018-11-07 21:09:32 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.